/*
** ###################################################################
**
**     Filename  : accelerometer.h
** 
**     Version   : 0.0
**
**     Compiler  : Metrowerks HCS08 C Compiler
**
**     Date      : 21Feb07
**
** ###################################################################
*/

#ifndef _accelerometer_H
#define _accelerometer_H

// Declare 'define' constants
//#define Trim_Val  0x8B     //Part A1 trim value for 25 MHz
//#define Trim_Val  0x93     //Part B2 trim value for 25 MHz
//#define Trim_Val  0x9E     //Part 64-2 trim value for 25 MHz
//#define FTrim_Val 1        //Part 64-2 ftrim value for 25 MHz
//#define Trim_Val  0xAD     //Part 64-2 trim value for 24 MHz
#define FTrim_Val 0        //Part 64-2 ftrim value for 24 MHz

#define max    0x10         //Max number of samples to average/filter
#define dis_base   base16

typedef struct  {
  dword  reading[max];
  dword  result[max];
} ResultStct;

#define SW1 PTGD_PTGD0
#define SW2 PTGD_PTGD1
#define SW3 PTGD_PTGD2
#define SW4 PTGD_PTGD3
#define KBI_SW 0x03
#define KBI_VAL (PTGD&0x03)

#define LED_PORT PTCD
#define LED_DD PTCDD
#define LED1 PTFD_PTFD0
#define LED2 PTFD_PTFD1
#define LED3 PTFD_PTFD4
#define LED_ON 0
#define LED_OFF 1

#define PEE_Speed 20240000
#define hi_baud 115000
#define pee_baud PEE_Speed/16/hi_baud

#define SCGC1_gates_on  0x81;
#define SCGC2_gates_on  0x30;
#define SCGC1_gates_off 0xFF;
#define SCGC2_gates_off 0xFF;

#define zero  0x30
#define one   0x31
#define two   0x32
#define three 0x33
#define four  0x34
#define five  0x35
#define six   0x36
#define seven 0x37
#define eight 0x38
#define nine  0x39
#define ten   0x61
#define enter 0x0D
#define space 0x20
#define EXIT  0x45
#define exit  0x65
#define yes   1
#define no    0
#define filter 2
#define avg    1
#define base10 1
#define base16 0

// RAM variables
#pragma DATA_SEG _DATA_ZEROPAGE
static byte samp=0,mode=0,n_str[5];
static word StartCount,StopCount;

#pragma DATA_SEG DEFAULT
static ResultStct x;
static ResultStct y;
static ResultStct z;

void SendChar(char s_char);

#endif  //end #ifndef _accelerometer_H
